Loading...
Searching...
No Matches
vector2.h File Reference

Go to the source code of this file.

## Data Structures

struct | ARC_Vector2
struct | ARC_DVector2

## Typedefs

typedef struct ARC_Vector2 | ARC_Vector2
typedef struct ARC_DVector2 | ARC_DVector2

## Functions

void | ARC_Vector2_Normalize (ARC_Vector2 *vector)
| normalizes a given ARC_Vector2
void | ARC_Vector2_RotateDegree (ARC_Vector2 *vector, float angle)
| rotates a given ARC_Vector2 by a given angle in degrees

## Typedef Documentation

## ARC_DVector2

typedef struct ARC_DVector2 ARC_DVector2

## ARC_Vector2

typedef struct ARC_Vector2 ARC_Vector2

## Function Documentation

## ARC_Vector2_Normalize()

void ARC_Vector2_Normalize | ( | ARC_Vector2 * | vector | ) |

normalizes a given ARC_Vector2

Parameters

  vector | the ARC_Vecotr2 to normallize

## ARC_Vector2_RotateDegree()

void ARC_Vector2_RotateDegree | ( | ARC_Vector2 * | vector,
|  | float | angle )

rotates a given ARC_Vector2 by a given angle in degrees

Parameters

  vector | the ARC_Vector2 to rotate
  angle | the angle in degrees to rotate by